<?php
require_once("../config/conexion.php");
require_once("../models/Evaluacion.php");
require_once("../models/Permisos.php");
$evaluacion = new Evaluacion();
/* =============================================
  JAVASCRIPT
  ============================================= */
switch ($_GET["op"]) {    
    case "guardarValoracion":        
        $datos = array("tabla" => "evaluacion",
            "mallacurriculardbk" => $_POST["mallacurricular"],
            "semana" => $_POST["semana"],
            "estudiante" => $_POST["estudiante"],
            "p1" => $_POST["p1"],
            "p2" => $_POST["p2"],
            "p3" => $_POST["p3"],
            "p4" => $_POST["p4"],
            "p5" => $_POST["p5"],
            "p6" => $_POST["p6"],
            "p7" => $_POST["p7"],
            "p8" => $_POST["p8"],
            "p9" => $_POST["p9"],
            "p10" => $_POST["p10"],
            "p11" => $_POST["p11"],
            "p12" => $_POST["p12"],
            "p13" => $_POST["p13"],
            "p14" => $_POST["p14"],
            "mejora" => $_POST["mejora"],
            "reconocimiento" => $_POST["reconocimiento"]            
        );
        $evaluacion->mdlIngresarValoracion($datos);        
        break;      
    case "eliminar_clase":
        $datos = $clases->EliminarClase_por_ID($_POST["clasedbk"]);
        break;  
    case "listarClases":
        $datos = $clases->ConsultarClases($_POST["mallacurricular"]);        
        $accesos ="";
        foreach ($datos as $row) {
            $sub_array = array();
            $sub_array[] = $row["clasedbk"];
            $sub_array[] = $row["semana"];
            $sub_array[] = $row["fecha"];
            if ($_SESSION["perfil"]=="DOCENTE") {
                $sub_array[] = $row["link"];            
                $accesos = $accesos . '
                    <button type="button" onClick="eliminarClase(' . $row["clasedbk"] . ');" id="' . $row["clasedbk"] . '" class="btn btn-outline-danger btn-icon"><div><i class="fa fa-times"></i></div></button>';                        
            }
            if ($_SESSION["perfil"]=="ESTUDIANTE") {
                $sub_array[] = '<a href="'.$row["link"].'" target="_blank" class="btn btn-danger btn-lg active" role="button" aria-pressed="true">Ver</a>';                
            }
            $sub_array[] = $accesos;
            $data[] = $sub_array;
            $accesos = "";
        }
        $results = array(
            "sEcho" => 1,
            "iTotalRecords" => count($data),
            "iTotalDisplayRecords" => count($data),
            "aaData" => $data
        );
        echo json_encode($results);
        break;        
}
?>

